# Pagination

{% hint style="success" %}
This is the official documentation of the `forestadmin/laravel-forestadmin` v2+ and `forestadmin/symfony-forestadmin` PHP agents.
{% endhint %}

![The pagination widget in action](/files/KUMzBGNXVp9o95ubzLvz)

### Disabling page count

Each time you load a Table View, 2 requests are made to your Agent:

* one to get the records to display according to the pagination size,
* one to get the total count of records.

Depending on the data source connector that you are using, the total count can be expensive to compute. As it is used to display the total number of records and pages in the Table View, and this information is optional to use a Collection, you can choose to disable it.

```php
use ForestAdmin\AgentPHP\DatasourceCustomizer\CollectionCustomizer;

$forestAgent->customizeCollection(
  'People',
  function (CollectionCustomizer $builder) {
    $builder->disableCount();
  }
);
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.forestadmin.com/developer-guide-agents-php/agent-customization/pagination.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
